complexType "PricingParameterDerivative"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | description?, (parameterReference? | inputDateReference*), calculationProcedure?
</...>

Content Model Elements (4):

  calculationProcedure (in partialDerivative), description (in partialDerivative), | inputDateReference, parameterReference (in partialDerivative)

All Direct / Indirect Based Elements (1):

  partialDerivative

Known Usage Locations

- As direct type of elements (1):
  partialDerivative

Annotation
A definition of the mathematical derivative with respect to a specific pricing parameter.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="PricingParameterDerivative"> <xsd:sequence> <xsd:element minOccurs="0" name="description" type="xsd:string"/> <xsd:choice> <xsd:element minOccurs="0" name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="inputDateReference" type="ValuationReference"/> </xsd:choice> <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationProcedure

  Type: | DerivativeCalculationProcedure, complex content

  The method by which a derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"/>

description

  Type: | xsd:string, predefined, simple content

  A description, if needed, of how the derivative is computed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

inputDateReference

  Type: | ValuationReference, empty content

  Reference(s) to the pricing input dates that are shifted when the sensitivity is computed. Depending on the time advance method used, this list could vary. Used for describing time-advance derivatives (theta, carry, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="inputDateReference" type="ValuationReference"/>

parameterReference

  Type: | AssetOrTermPointOrPricingStructureReference, empty content

  A reference to the pricing input parameter to which the sensitivity is computed. If it is omitted, the derivative definition is generic, and applies to any input point in the valuation set.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.